#ifndef NewFrameDialog_h
#define NewFrameDialog_h

// $Id: NewFrameDialog.h,v 1.1 2011/10/28 10:47:31 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
\file NewFrameDialog.h
\brief select user name to be displayed in new frame
\author Hugo Pereira
\version $Revision: 1.1 $
\date $Date: 2011/10/28 10:47:31 $
*/

#include "CustomDialog.h"

class UserSelectionFrame;

//! select user name to be displayed in new frame
class NewFrameDialog: public CustomDialog
{

    public:

    //! constructor
    NewFrameDialog( QWidget* parent );

    //! user selection frame
    UserSelectionFrame& userSelectionFrame( void ) const
    { return *userSelectionFrame_; }

    private:

    //! user selection frame
    UserSelectionFrame* userSelectionFrame_;

};
#endif
