#ifndef SystemOptions_h
#define SystemOptions_h

// $Id: SystemOptions.h.cmake,v 1.1 2012/09/26 13:32:23 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.	See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA	02111-1307 USA
*
*
*******************************************************************************/

#include "XmlOptions.h"
#include "Util.h"

//_____________________________________________________
//! default options installer
void installSystemOptions( void )
{

  XmlOptions::get().setAutoDefault( true );
  XmlOptions::get().set( "ALIEN_CP", "@ALIEN_CP@" );
  XmlOptions::get().set( "ALIEN_PS", "@ALIEN_PS@" );
  XmlOptions::get().set( "ALIEN_WHO", "@ALIEN_WHO@" );
  XmlOptions::get().set( "ALIEN_WHOAMI", "@ALIEN_WHOAMI@" );
  XmlOptions::get().set( "ALIEN_KILL", "@ALIEN_KILL@" );
  XmlOptions::get().set( "ALIEN_RESUBMIT", "@ALIEN_RESUBMIT@" );
  XmlOptions::get().set( "GBBOX", "@GBBOX@" );
  XmlOptions::get().setAutoDefault( false );

};

#endif
